
Foreman - Bug #3567

Editing an oVirt compute resource can throw errors loading quotes while loading page

11/04/2013 10:21 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Compute resources   

Target version: 1.4.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When editing an oVirt compute resource that's currently failing (e.g. bad admin password), the form won't load as it tries to get a list

of quotas to display.

ActionView::Template::Error (401 Unauthorized):

    9:                  :class => "btn + #{datacenters.empty? ? "" : "btn-success"}",

    10:                  :'data-url' => test_connection_compute_resources_path) + image_tag('/asse

ts/spinner.gif', :id => 'test_connection_indicator', :class => 'hide').html_safe }) %>

    11: <% quotas = (f.object.uuid.nil? && controller.action_name != 'test_connection') ? [] : f.o

bject.quotas rescue []%>

    12: <%= select_f f, :ovirt_quota, quotas, :id, :name, {}, :label => _("Quota ID") %>

  app/helpers/layout_helper.rb:102:in `block in select_f'

  app/helpers/layout_helper.rb:130:in `block (2 levels) in field'

  app/helpers/layout_helper.rb:129:in `block in field'

  app/helpers/layout_helper.rb:124:in `field'

  app/helpers/layout_helper.rb:101:in `select_f'

  app/views/compute_resources/form/_ovirt.html.erb:12:in `_e7f9f939742f59e4e7d0512e1f936645'

  app/views/compute_resources/_form.html.erb:25:in `block in _d266af4e81ccfd6ac887a7d9ddb43142'

  app/helpers/layout_helper.rb:207:in `form_for'

  app/views/compute_resources/_form.html.erb:2:in `_d266af4e81ccfd6ac887a7d9ddb43142'

  app/views/compute_resources/edit.html.erb:3:in `_85d3215036b294085739cb8c859e0d6d'

  app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

 It appears the f.object.quotas rescue [] doesn't work because the quotas are lazy-loaded, so it only fails when rendering the select

box.

Related issues:

Has duplicate Foreman - Bug #4354: Can't modify compute resource if the host ... Duplicate 02/15/2014

Associated revisions

Revision 2e66b04a - 02/18/2014 04:11 PM - Amos Benari

fixes #3567 Editing an oVirt compute resource can throw errors loading quotas while loading page

Revision 3d2ff14c - 02/19/2014 11:09 AM - Amos Benari

fixes #3567 Editing an oVirt compute resource can throw errors loading quotas while loading page

(cherry picked from commit 2e66b04a2c92bc40fea1bfdc7f0414435754f49b)

History

#1 - 12/10/2013 05:37 PM - Leah Fisher

I get a similar stack trace when trying to edit the url as my oVirt computer resource hostname changed.

OVIRT::OvirtException

No route to host - connect(2)

app/helpers/layout_helper.rb:102:in `block in select_f'

app/helpers/layout_helper.rb:130:in `block (2 levels) in field'
app/helpers/layout_helper.rb:129:in `block in field'

app/helpers/layout_helper.rb:124:in `field'

app/helpers/layout_helper.rb:101:in `select_f'

app/views/compute_resources/form/_ovirt.html.erb:12:in

`_app_views_compute_resources_form__ovirt_html_erb__4002904617136824044_69772300'

app/views/compute_resources/_form.html.erb:25:in `block in app_views_compute_resources

_form_html_erb__4329327287041218040_70310364708480'

app/helpers/layout_helper.rb:205:in `form_for'

app/views/compute_resources/_form.html.erb:2:in `_app_views_compute_resources__form_html_erb__4329327287041218040_70310364708480'

app/views/compute_resources/edit.html.erb:3:in `_app_views_compute_resources_edit_html_erb__1218224518361486307_70310364700580'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

#2 - 02/17/2014 08:46 AM - Dominic Cleal

- Has duplicate Bug #4354: Can't modify compute resource if the host has been changed added

#3 - 02/18/2014 02:04 PM - Amos Benari

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

https://github.com/theforeman/foreman/pull/1241

#4 - 02/18/2014 02:12 PM - Dominic Cleal

- Assignee set to Amos Benari

- Target version set to 1.9.1

#5 - 02/18/2014 04:09 PM - Dominic Cleal

- translation missing: en.field_release set to 5

#6 - 02/19/2014 11:31 AM - Amos Benari

- Status changed from Ready For Testing to Closed

Applied in changeset 2e66b04a2c92bc40fea1bfdc7f0414435754f49b.
